%define upstream_name    HTML-WikiConverter
%define upstream_version 0.68

%global __requires_exclude perl\\(CGI::Application\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

summary:    HTML-WikiConverter - An HTML to wiki markup converter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(URI)
BuildRequires:  perl(HTML::Tree)
BuildRequires:  perl(CSS)
BuildRequires:  perl(Params::Validate)
BuildArch:      noarch


%description
HTML::WikiConverter is an HTML to wiki converter. It can convert HTML
source into a variety of wiki markups, called wiki "dialects".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# %%{__make} test

%install
%make_install

%files
%doc Changes LICENSE README META.yml
%{_mandir}/*/*
%{_bindir}/*
%{perl_vendorlib}/HTML


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.680.0-10.mga8
+ Revision: 1494977
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.680.0-9.mga7
+ Revision: 1268514
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.680.0-8.mga6
+ Revision: 1028424
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.680.0-7.mga6
+ Revision: 966653
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 shlomif <shlomif> 0.680.0-6.mga6
+ Revision: 846443
- Fix test and exclude CGI::App

* Wed Oct 15 2014 umeabot <umeabot> 0.680.0-5.mga5
+ Revision: 745678
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.680.0-4.mga5
+ Revision: 684989
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.680.0-3.mga4
+ Revision: 512093
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.680.0-2.mga3
+ Revision: 368252
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 jquelin <jquelin> 0.680.0-1.mga1
+ Revision: 42820
- mageia rebuild
- imported package perl-HTML-WikiConverter


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.680.0-1mdv2010.0
+ Revision: 403265
- rebuild using %%perl_convert_version

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.68-1mdv2010.0
+ Revision: 370130
- update to new version 0.68

* Wed Mar 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.67-1mdv2009.1
+ Revision: 357203
- update to new version 0.67

* Tue Mar 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.66-1mdv2009.1
+ Revision: 353417
- update to new version 0.66

* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.63-1mdv2009.1
+ Revision: 302826
- update to new version 0.63

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.62-2mdv2009.0
+ Revision: 268524
- rebuild early 2009.0 package (before pixel changes)

* Sat May 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.62-1mdv2009.0
+ Revision: 208353
- update to new version 0.62

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.61-2mdv2008.1
+ Revision: 137162
- fix build dependencies
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.61-1mdv2007.0
- New version 0.61
- buildrequires

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdv2007.0
- New version 0.55

* Wed Jun 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.53-1mdv2007.0
- New release 0.53
- better source URL

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.52-1mdk
- New release 0.52

* Fri Feb 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.51-1mdk
- New release 0.51

* Wed Jan 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.50-1mdk
- New release 0.50
- spec cleanup
- fix directory ownership

* Mon Oct 10 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.30-4mdk
- Fix BuildRequires

* Fri Sep 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.30-3mdk
- Buildrequires fix

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.30-2mdk
- Fix buildrequires

* Tue Aug 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> -
- new version
- fix sources url for rpmbuildupdate
- drop empty directories

* Thu Apr 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.22-1mdk
- initial release

